cURL
curl --request POST \
--url https://cockroachlabs.cloud/api/v1/folders \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--json '{"name":"folder_name","parent_id":"12345678-1234-1234-1234-123456789012"}'{
"labels": {},
"name": "<string>",
"organization_id": "<string>",
"parent_id": "<string>",
"path": [
{
"id": "<string>",
"name": "<string>"
}
],
"resource_id": "<string>",
"resource_type": "FOLDER"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Create a folder
Can be used by the following roles assigned at the organization or folder scope:
- FOLDER_ADMIN
POST
/
api
/
v1
/
folders
cURL
curl --request POST \
--url https://cockroachlabs.cloud/api/v1/folders \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--json '{"name":"folder_name","parent_id":"12345678-1234-1234-1234-123456789012"}'{
"labels": {},
"name": "<string>",
"organization_id": "<string>",
"parent_id": "<string>",
"path": [
{
"id": "<string>",
"name": "<string>"
}
],
"resource_id": "<string>",
"resource_type": "FOLDER"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}This endpoint is in Preview and subject to change. Refer to the API support policy for more details.
Authorizations
Body
application/json
Response
A successful response.
FolderResource describes a resource, and includes info about its lineage (parent/ancestors).

